> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get incomplete runs for an experiment

> Get runs that need to be completed for this experiment.

Returns all incomplete runs, including both missing runs (not yet attempted)
and failed runs (attempted but have errors).

Args:
    experiment_id: The ID of the experiment
    cursor: Cursor for pagination
    limit: Maximum number of results to return

Returns:
    Paginated list of incomplete runs grouped by dataset example,
    with repetition numbers that need to be run



## OpenAPI

````yaml get /v1/experiments/{experiment_id}/incomplete-runs
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/experiments/{experiment_id}/incomplete-runs:
    get:
      tags:
        - experiments
      summary: Get incomplete runs for an experiment
      description: >-
        Get runs that need to be completed for this experiment.


        Returns all incomplete runs, including both missing runs (not yet
        attempted)

        and failed runs (attempted but have errors).


        Args:
            experiment_id: The ID of the experiment
            cursor: Cursor for pagination
            limit: Maximum number of results to return

        Returns:
            Paginated list of incomplete runs grouped by dataset example,
            with repetition numbers that need to be run
      operationId: getIncompleteExperimentRuns
      parameters:
        - name: experiment_id
          in: path
          required: true
          schema:
            type: string
            title: Experiment Id
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor for pagination
            title: Cursor
          description: Cursor for pagination
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            exclusiveMinimum: 0
            description: Maximum number of examples with incomplete runs to return
            default: 50
            title: Limit
          description: Maximum number of examples with incomplete runs to return
      responses:
        '200':
          description: Incomplete runs retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetIncompleteExperimentRunsResponseBody'
        '403':
          content:
            text/plain:
              schema:
                type: string
          description: Forbidden
        '404':
          content:
            text/plain:
              schema:
                type: string
          description: Experiment not found
        '422':
          content:
            text/plain:
              schema:
                type: string
          description: Invalid cursor format
components:
  schemas:
    GetIncompleteExperimentRunsResponseBody:
      properties:
        data:
          items:
            $ref: '#/components/schemas/IncompleteExperimentRun'
          type: array
          title: Data
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - data
        - next_cursor
      title: GetIncompleteExperimentRunsResponseBody
    IncompleteExperimentRun:
      properties:
        dataset_example:
          $ref: '#/components/schemas/DatasetExample'
          description: The dataset example
        repetition_numbers:
          items:
            type: integer
          type: array
          title: Repetition Numbers
          description: List of repetition numbers that need to be run
      type: object
      required:
        - dataset_example
        - repetition_numbers
      title: IncompleteExperimentRun
      description: Information about incomplete runs for a dataset example
    DatasetExample:
      properties:
        id:
          type: string
          title: Id
        node_id:
          type: string
          title: Node Id
        input:
          additionalProperties: true
          type: object
          title: Input
        output:
          additionalProperties: true
          type: object
          title: Output
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
        updated_at:
          type: string
          format: date-time
          title: Updated At
        source:
          anyOf:
            - $ref: '#/components/schemas/DatasetExampleSource'
            - type: 'null'
      type: object
      required:
        - id
        - node_id
        - input
        - output
        - metadata
        - updated_at
      title: DatasetExample
    DatasetExampleSource:
      properties:
        span_id:
          type: string
          title: Span Id
        span_node_id:
          type: string
          title: Span Node Id
      type: object
      required:
        - span_id
        - span_node_id
      title: DatasetExampleSource

````